Bug 736810 - radeon failure to display plymouth, then only fallback gnome on MacMini5.2
Summary: radeon failure to display plymouth, then only fallback gnome on MacMini5.2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:modesetting]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 18:51 UTC by David Nielsen
Modified: 2018-04-11 10:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-02 19:28:20 UTC


Attachments (Terms of Use)
demsg output (123.64 KB, text/plain)
2011-09-08 18:51 UTC, David Nielsen
no flags Details

Description David Nielsen 2011-09-08 18:51:47 UTC
Created attachment 522180 [details]
demsg output

Description of problem:

Booting the radeon graphics test day iso on my MacMini5.2. First syslinux appears, then I get nothing but a completely white screen. If I suspend the machine by pressing the power button and resume it doing the same I will get fallback GNOME appear.

In demsg first this appears:

]  [<ffffffffa00928fe>] radeon_bo_create+0x1c1/0x2e4 [radeon]
[   26.991469]  [<ffffffffa009264c>] ? radeon_bo_clear_surface_reg+0x50/0x50 [radeon]
[   26.991491]  [<ffffffffa00a2501>] radeon_gem_object_create+0x53/0xda [radeon]
[   26.991514]  [<ffffffffa00a27bb>] radeon_gem_create_ioctl+0x4b/0x81 [radeon]
[   26.991520]  [<ffffffff8110fbf3>] ? might_fault+0xa5/0xac
[   26.991533]  [<ffffffffa001a8d2>] drm_ioctl+0x2a4/0x386 [drm]
[   26.991552]  [<ffffffffa00a2770>] ? radeon_gem_pwrite_ioctl+0x28/0x28 [radeon]
[   26.991557]  [<ffffffff81205172>] ? inode_has_perm+0x6a/0x77
[   26.991561]  [<ffffffff81205226>] ? file_has_perm+0xa7/0xc9
[   26.991566]  [<ffffffff81151ad1>] do_vfs_ioctl+0x472/0x4b3
[   26.991570]  [<ffffffff81151b68>] sys_ioctl+0x56/0x7a
[   26.991575]  [<ffffffff8150b082>] system_call_fastpath+0x16/0x1b
[   26.991579] ---[ end trace b95cda14487e227e ]---
[   26.991583] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   26.998500] radeon 0000:01:00.0: object_init failed for (8294400, 0x00000002)
[   27.001685] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)

then this repeatedly:

[   27.045577] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:177 radeon_gart_bind+0x45/0x194 [radeon]()
[   27.045580] Hardware name: Macmini5,2
[   27.045581] trying to bind memory to unitialized GART !
[   27.045583] Modules linked in: fcoe libfcoe 8021q garp stp libfc llc scsi_transport_fc scsi_tgt ip6t_REJECT nf_conntrack_ipv4 nf_conntrack_ipv6 nf_defrag_ipv4 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables arc4 rt73usb rt2x00usb rt2x00lib mac80211 joydev cfg80211 rfkill applesmc snd_hda_codec_hdmi input_polldev microcode shpchp snd_hda_codec_cirrus i2c_i801 iTCO_wdt iTCO_vendor_support snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device tg3 snd_pcm snd_timer snd soundcore snd_page_alloc uinput squashfs usb_storage firewire_ohci firewire_core crc_itu_t sdhci_pci sdhci mmc_core radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   27.045648] Pid: 178, comm: plymouthd Tainted: G        W   3.1.0-0.rc3.git0.0.fc16.x86_64 #1
[   27.045650] Call Trace:
[   27.045659]  [<ffffffff8105c528>] warn_slowpath_common+0x83/0x9b
[   27.045663]  [<ffffffff8105c5e3>] warn_slowpath_fmt+0x46/0x48
[   27.045684]  [<ffffffffa00937d2>] radeon_gart_bind+0x45/0x194 [radeon]
[   27.045693]  [<ffffffffa004ae3e>] ? __ttm_tt_get_page+0x70/0xb0 [ttm]
[   27.045710]  [<ffffffffa00917cd>] radeon_ttm_backend_bind+0x5a/0x8b [radeon]
[   27.045719]  [<ffffffffa004b188>] ttm_tt_bind+0x45/0x66 [ttm]
[   27.045728]  [<ffffffffa004c877>] ttm_bo_handle_move_mem+0x115/0x2b1 [ttm]
[   27.045737]  [<ffffffffa004d69c>] ttm_bo_move_buffer+0xe1/0x119 [ttm]
[   27.045746]  [<ffffffffa004d796>] ttm_bo_validate+0xc2/0x100 [ttm]
[   27.045755]  [<ffffffffa004dae3>] ttm_bo_init+0x30f/0x348 [ttm]
[   27.045771]  [<ffffffffa00928fe>] radeon_bo_create+0x1c1/0x2e4 [radeon]
[   27.045788]  [<ffffffffa009264c>] ? radeon_bo_clear_surface_reg+0x50/0x50 [radeon]
[   27.045809]  [<ffffffffa00a2501>] radeon_gem_object_create+0x53/0xda [radeon]
[   27.045831]  [<ffffffffa00a27bb>] radeon_gem_create_ioctl+0x4b/0x81 [radeon]
[   27.045836]  [<ffffffff8110fbf3>] ? might_fault+0xa5/0xac
[   27.045848]  [<ffffffffa001a8d2>] drm_ioctl+0x2a4/0x386 [drm]
[   27.045867]  [<ffffffffa00a2770>] ? radeon_gem_pwrite_ioctl+0x28/0x28 [radeon]
[   27.045871]  [<ffffffff81205172>] ? inode_has_perm+0x6a/0x77
[   27.045875]  [<ffffffff81205226>] ? file_has_perm+0xa7/0xc9
[   27.045880]  [<ffffffff81151ad1>] do_vfs_ioctl+0x472/0x4b3
[   27.045885]  [<ffffffff81151b68>] sys_ioctl+0x56/0x7a
[   27.045889]  [<ffffffff8150b082>] system_call_fastpath+0x16/0x1b
[   27.045892] ---[ end trace b95cda14487e227f ]---
[   27.045895] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   27.052857] radeon 0000:01:00.0: object_init failed for (8294400, 0x00000002)
[   27.054947] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)


Version-Release number of selected component (if applicable):
versions incleded in test day iso

How reproducible:
100%

Steps to Reproduce:
1. install rEFIt
2. boot test day image from USB
3.
  
Actual results:
as above

Expected results:
beautiful GNOME3 desktop

Additional info:

Comment 1 Matěj Cepl 2011-09-09 21:47:08 UTC
Hi, David,

could we get please /var/log/Xorg.0.log as well.
Does zgrep Backtrace /var/log/Xorg* brings anything? (Attach the relevant logs as well then).

Thank you for filing this bug

Comment 3 David Nielsen 2011-11-02 19:28:20 UTC
I retested with F16 RC2 and now X correctly comes up (marking the first Linux distro to do this on my Mac Mini 2011)

Comment 4 David Nielsen 2011-11-02 19:29:27 UTC
I retested with F16 RC2 and now X correctly comes up (marking the first Linux distro to do this on my Mac Mini 2011)


Note You need to log in before you can comment on or make changes to this bug.